## re2c 3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(re2c VERSION 3.1 HOMEPAGE_URL "https://re2c.org/")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(Re2cAutotoolsHelpers)
include(Re2cBootstrapLexer)
include(Re2cBootstrapParser)
include(Re2cBuildType)
include(Re2cGenDocs)
include(Re2cCompilerFlags)

ac_subst(PACKAGE_VERSION "${PROJECT_VERSION}")

option(RE2C_REBUILD_LEXERS "Regenerate lexers" OFF)
if(RE2C_REBUILD_LEXERS AND NOT RE2C_FOR_BUILD)
    message(FATAL_ERROR "option RE2C_FOR_BUILD is required for RE2C_REBUILD_LEXERS")
endif()

option(RE2C_REBUILD_PARSERS "Regenerate parsers with Bison" OFF)
if(RE2C_REBUILD_PARSERS AND NOT RE2C_FOR_BUILD)
    find_package(BISON REQUIRED)
endif()

option(RE2C_REBUILD_DOCS "Regenerate manpage" OFF)
option(RE2C_BUILD_LIBS "Build libraries" OFF)


option(RE2C_BUILD_RE2GO "Build re2go executable (an alias for `re2c --lang go`)" ON)
option(RE2C_BUILD_RE2RUST "Build re2rust executable (an alias for `re2c --lang rust`)" ON)

option(RE2C_BUILD_BENCHMARKS "Build benchmarks" OFF)
option(RE2C_REGEN_BENCHMARKS "Regenerate C code for benchmarks" OFF)

# checks for programs
find_package(Python3 COMPONENTS Interpreter)
# starting from cmake 3.19 find_package can do version check, but we are on 3.12
if(Python3_VERSION VERSION_LESS 3.7)
    message(FATAL_ERROR "python version 3.7 or higher is required")
endif()
if(RE2C_REBUILD_DOCS)
    execute_process(
        COMMAND "${Python3_EXECUTABLE}" -c "import docutils"
        RESULT_VARIABLE EXIT_CODE
        OUTPUT_QUIET
    )
    if (NOT ${EXIT_CODE} EQUAL 0)
        message(FATAL_ERROR "python package docutils (needed for docs) not found")
    endif()
endif()

# Use C++11 standard. Note that without `set(CMAKE_CXX_EXTENSIONS OFF)` this enables
# -std=gnu++11, not -std=c++11. Extensions are needed to enable POSIX functions on
# Cygwin and NetBSD.
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_POSITION_INDEPENDENT_CODE ON) # make sure object libraries work with shared libraries

# needed for POSIX file API
ac_check_headers("sys/types.h")
ac_check_headers("sys/stat.h")
ac_check_headers("fcntl.h")
ac_check_headers("unistd.h")
# windows POSIX-like API
ac_check_headers("io.h")

# docs (manpages and help)
set(re2c_manpage_source         "${CMAKE_CURRENT_BINARY_DIR}/doc/manpage.rst")
set(re2c_help_source            "${CMAKE_CURRENT_BINARY_DIR}/doc/help.rst")
set(re2c_manpage_bootstrap_c    "${CMAKE_CURRENT_SOURCE_DIR}/bootstrap/doc/re2c.1")
set(re2c_manpage_bootstrap_go   "${CMAKE_CURRENT_SOURCE_DIR}/bootstrap/doc/re2go.1")
set(re2c_manpage_bootstrap_rust "${CMAKE_CURRENT_SOURCE_DIR}/bootstrap/doc/re2rust.1")
set(re2c_help_bootstrap         "${CMAKE_CURRENT_SOURCE_DIR}/bootstrap/src/msg/help.cc")
set(re2c_manpage_c              "${CMAKE_CURRENT_BINARY_DIR}/doc/re2c.1")
set(re2c_manpage_go             "${CMAKE_CURRENT_BINARY_DIR}/doc/re2go.1")
set(re2c_manpage_rust           "${CMAKE_CURRENT_BINARY_DIR}/doc/re2rust.1")
set(re2c_help                   "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help.cc")
set(re2c_rst2man                "${CMAKE_CURRENT_SOURCE_DIR}/build/rst2man.py")
set(re2c_rst2txt                "${CMAKE_CURRENT_SOURCE_DIR}/build/rst2txt.py")
set(re2c_splitman               "${CMAKE_CURRENT_SOURCE_DIR}/build/split_man.py")
set(re2c_docs
    "${re2c_help}"
    "${re2c_manpage_c}"
    "$<$<BOOL:${RE2C_BUILD_RE2GO}>:${re2c_manpage_go}>"
    "$<$<BOOL:${RE2C_BUILD_RE2RUST}>:${re2c_manpage_rust}>"
)

set(top_srcdir "${CMAKE_CURRENT_SOURCE_DIR}")
set(top_builddir "${CMAKE_CURRENT_BINARY_DIR}")
set(PYTHON "${Python3_EXECUTABLE}")

configure_file(doc/manpage.rst.in doc/manpage.rst @ONLY)
configure_file(doc/help.rst.in doc/help.rst @ONLY)

configure_file(run_tests.py.in run_tests.py @ONLY)
set(RE2C_RUN_TESTS "${CMAKE_CURRENT_BINARY_DIR}/run_tests.py")
if(CMAKE_HOST_UNIX)
    execute_process(COMMAND chmod +x "${RE2C_RUN_TESTS}")
endif()

ac_config_headers("config.h")

# Makefile.am
set(RE2C_STDLIB_DIR "${CMAKE_INSTALL_PREFIX}/share/re2c/stdlib")
add_compile_definitions(
  "RE2C_STDLIB_DIR=\"${RE2C_STDLIB_DIR}\""
  $<$<CONFIG:Debug>:RE2C_DEBUG>
)
include_directories(. "${CMAKE_CURRENT_BINARY_DIR}")

# Build autogenerated sources into an object library to ensure that they are
# generated once at the beginning of build (as with Automake BUILT_SOURCES).
# WARNING: custom target that depends on autogenerated sources won't do here
# as its dependencies get built multiple times, which ruins parallel builds.
add_library(re2c_objects_autogen OBJECT
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/parser.cc"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/parser.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/lex.cc"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/lex.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/lex_conf.cc"
    "${CMAKE_CURRENT_BINARY_DIR}/src/options/parse_opts.cc"
    "${re2c_docs}"
)
add_library(re2c_objects_autogen_ver_to_vernum OBJECT
    "${CMAKE_CURRENT_BINARY_DIR}/src/msg/ver_to_vernum.cc"
)

set(re2c_sources
    src/codegen/helpers.cc
    src/codegen/output.cc
    src/codegen/pass1_analyze.cc
    src/codegen/pass2_generate.cc
    src/codegen/pass3_fixup.cc
    src/codegen/pass4_render.cc
    src/options/opt.cc
    src/options/symtab.cc
    src/nfa/re_to_nfa.cc
    src/adfa/adfa.cc
    src/debug/dump_adfa.cc
    src/debug/dump_cfg.cc
    src/debug/dump_dfa.cc
    src/debug/dump_dfa_tree.cc
    src/debug/dump_interf.cc
    src/debug/dump_nfa.cc
    src/cfg/cfg.cc
    src/cfg/compact.cc
    src/cfg/dce.cc
    src/cfg/freeze.cc
    src/cfg/interfere.cc
    src/cfg/liveanal.cc
    src/cfg/normalize.cc
    src/cfg/optimize.cc
    src/cfg/rename.cc
    src/cfg/varalloc.cc
    src/dfa/closure.cc
    src/dfa/dead_rules.cc
    src/dfa/determinization.cc
    src/dfa/fallback_tags.cc
    src/dfa/fillpoints.cc
    src/dfa/find_state.cc
    src/dfa/minimization.cc
    src/dfa/tagver_table.cc
    src/dfa/tcmd.cc
    src/encoding/ebcdic.cc
    src/encoding/enc.cc
    src/encoding/range_suffix.cc
    src/encoding/utf8.cc
    src/encoding/utf16.cc
    src/msg/msg.cc
    src/msg/warn.cc
    src/regexp/ast_to_re.cc
    src/regexp/default_tags.cc
    src/regexp/fixed_tags.cc
    src/regexp/nullable.cc
    src/regexp/regexp.cc
    src/regexp/split_charset.cc
    src/skeleton/control_flow.cc
    src/skeleton/generate_code.cc
    src/skeleton/generate_data.cc
    src/skeleton/maxpath.cc
    src/skeleton/skeleton.cc
    src/parse/ast.cc
    src/parse/input.cc
    src/util/file_utils.cc
    src/util/string_utils.cc
    src/util/range.cc
    src/main.cc
    $<TARGET_OBJECTS:re2c_objects_autogen>
    $<TARGET_OBJECTS:re2c_objects_autogen_ver_to_vernum>
)

# re2c
add_executable(re2c ${re2c_sources})

# re2go
if (RE2C_BUILD_RE2GO)
    add_executable(re2go ${re2c_sources})
    target_compile_definitions(re2go PUBLIC "RE2C_LANG=Lang::GO")
endif()

# re2rust
if (RE2C_BUILD_RE2RUST)
    add_executable(re2rust ${re2c_sources})
    target_compile_definitions(re2rust PUBLIC "RE2C_LANG=Lang::RUST")
endif()

re2c_bootstrap_lexer("src/parse/lex.re" "src/parse/lex.cc" "src/parse/lex.h")
re2c_bootstrap_lexer("src/parse/lex_conf.re" "src/parse/lex_conf.cc")
re2c_bootstrap_lexer("src/options/parse_opts.re" "src/options/parse_opts.cc")
re2c_bootstrap_lexer("src/msg/ver_to_vernum.re" "src/msg/ver_to_vernum.cc")
re2c_bootstrap_parser("src/parse/parser.ypp" "src/parse/parser.cc" "src/parse/parser.h")

# docs
set(re2c_docs_sources
    "${re2c_manpage_source}"
    "doc/manual/api/interface.rst_"
    "doc/manual/conditions/blocks.rst_"
    "doc/manual/conditions/conditions.rst_"
    "doc/manual/configurations/configurations.rst_"
    "doc/manual/directives/directives.rst_"
    "doc/manual/dot/dot.rst_"
    "doc/manual/encodings/encodings.rst_"
    "doc/manual/eof/01_sentinel.rst_"
    "doc/manual/eof/02_bounds_checking.rst_"
    "doc/manual/eof/03_eof_rule.rst_"
    "doc/manual/eof/04_generic_api.rst_"
    "doc/manual/eof/eof.rst_"
    "doc/manual/fill/01_fill.rst_"
    "doc/manual/fill/02_fill.rst_"
    "doc/manual/fill/fill.rst_"
    "doc/manual/headers/headers.rst_"
    "doc/manual/includes/includes.rst_"
    "doc/manual/options/debug.rst_"
    "doc/manual/options/internal.rst_"
    "doc/manual/options/options.rst_"
    "doc/manual/regexps/regular_expressions.rst_"
    "doc/manual/reuse/reuse.rst_"
    "doc/manual/skeleton/skeleton.rst_"
    "doc/manual/state/state.rst_"
    "doc/manual/submatch/submatch_example_mtags.rst_"
    "doc/manual/submatch/submatch_example_posix.rst_"
    "doc/manual/submatch/submatch_example_stags_fill.rst_"
    "doc/manual/submatch/submatch_example_stags.rst_"
    "doc/manual/submatch/submatch.rst_"
    "doc/manual/synopsis.rst_"
    "doc/manual/syntax/api1.rst_"
    "doc/manual/syntax/api2_c.rst_"
    "doc/manual/syntax/api2_go.rst_"
    "doc/manual/syntax/api2_rust.rst_"
    "doc/manual/syntax/api3.rst_"
    "doc/manual/syntax/intro.rst_"
    "doc/manual/syntax/syntax.rst_"
    "doc/manual/warnings/warnings_general.rst_"
    "doc/manual/warnings/warnings_list.rst_"
    "examples/c/01_basic.re"
    "examples/c/01_basic.c"
    "examples/c/conditions/parse_u32_blocks.re"
    "examples/c/conditions/parse_u32_conditions.re"
    "examples/c/encodings/unicode_identifier.re"
    "examples/c/eof/01_sentinel.re"
    "examples/c/eof/02_bounds_checking.re"
    "examples/c/eof/03_eof_rule.re"
    "examples/c/eof/05_generic_api_eof_rule.re"
    "examples/c/fill/01_fill.re"
    "examples/c/fill/02_fill.re"
    "examples/c/headers/header.re"
    "examples/c/headers/lexer/state.h"
    "examples/c/includes/include.re"
    "examples/c/includes/definitions.h"
    "examples/c/reuse/reuse.re"
    "examples/c/reuse/usedir.re"
    "examples/c/state/push.re"
    "examples/c/submatch/01_stags_fill.re"
    "examples/c/submatch/01_stags.re"
    "examples/c/submatch/02_mtags.re"
    "examples/c/submatch/03_posix.re"
    "examples/go/01_basic.re"
    "examples/go/01_basic.go"
    "examples/go/conditions/parse_u32_blocks.re"
    "examples/go/conditions/parse_u32_conditions.re"
    "examples/go/encodings/unicode_identifier.re"
    "examples/go/eof/01_sentinel.re"
    "examples/go/eof/02_bounds_checking.re"
    "examples/go/eof/03_eof_rule.re"
    "examples/go/eof/05_generic_api_eof_rule.re"
    "examples/go/fill/01_fill.re"
    "examples/go/fill/02_fill.re"
    "examples/go/headers/header.re"
    "examples/go/headers/lexer/state.go"
    "examples/go/includes/include.re"
    "examples/go/includes/definitions.go"
    "examples/go/reuse/reuse.re"
    "examples/go/reuse/usedir.re"
    "examples/go/state/push.re"
    "examples/go/submatch/01_stags_fill.re"
    "examples/go/submatch/01_stags.re"
    "examples/go/submatch/02_mtags.re"
    "examples/go/submatch/03_posix.re"
    "examples/rust/01_basic.re"
    "examples/rust/01_basic.rs"
    "examples/rust/conditions/parse_u32_blocks.re"
    "examples/rust/conditions/parse_u32_conditions.re"
    "examples/rust/encodings/unicode_identifier.re"
    "examples/rust/eof/01_sentinel.re"
    "examples/rust/eof/02_bounds_checking.re"
    "examples/rust/eof/03_eof_rule.re"
    "examples/rust/eof/05_generic_api_eof_rule.re"
    "examples/rust/fill/01_fill.re"
    "examples/rust/fill/02_fill.re"
    "examples/rust/headers/header.re"
    "examples/rust/headers/lexer/state.rs"
    "examples/rust/includes/include.re"
    "examples/rust/includes/definitions.rs"
    "examples/rust/reuse/reuse.re"
    "examples/rust/reuse/usedir.re"
    "examples/rust/state/push.re"
    "examples/rust/submatch/01_stags_fill.re"
    "examples/rust/submatch/01_stags.re"
    "examples/rust/submatch/02_mtags.re"
    "examples/rust/submatch/03_posix.re"
)
re2c_gen_manpage("${re2c_manpage_source}" "${re2c_manpage_c}"    "${re2c_manpage_bootstrap_c}"  "c")
re2c_gen_manpage("${re2c_manpage_source}" "${re2c_manpage_go}"   "${re2c_manpage_bootstrap_go}" "go")
re2c_gen_manpage("${re2c_manpage_source}" "${re2c_manpage_rust}" "${re2c_manpage_bootstrap_rust}" "rust")
re2c_gen_help("${re2c_help_source}" "${re2c_help}" "${re2c_help_bootstrap}")

=== debian/changelog ===
re2c (3.1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:18:23 +0200

re2c (3.1-1) unstable; urgency=medium

  * New upstream version 3.1
  * Control: bump Standards-Version to 4.6.2 (from 4.6.1; no further
    changes).
  * Patches: expand 02 to fix more typos.
  * Clean: add manpages for re2{go,rust}.
  * Control: add build-dep on jdupes.
  * Rules: call jdupes to deal with some duplicate files in examples.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 08 Aug 2023 11:36:36 +0000

re2c (3.0-2) unstable; urgency=medium

  * Watch: switch to github api.
  * Control: bump std-ver to 4.6.1 (from 4.6.0; no changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 04 Dec 2022 21:44:51 +0000

=== debian/control ===
Source: re2c
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jeroen Ploemen <jcfp@debian.org>
Build-Depends:
 bison,
 debhelper-compat (= 13),
 jdupes,
 python3 <!nocheck>,
 python3-docutils,
 python3-pygments
Standards-Version: 4.6.2
Homepage: https://re2c.org
Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
Vcs-Browser: https://salsa.debian.org/jcfp/re2c
Rules-Requires-Root: no

Package: re2c
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lexer generator for C, C++, Go and Rust
 re2c's main goal is generating fast lexers: at least as fast as
 their reasonably optimized hand-coded counterparts. Instead of using
 a traditional table-driven approach, re2c encodes the generated
 finite state automata directly in the form of conditional jumps and
 comparisons. The resulting programs are faster and often smaller
 than their table-driven analogues, and they are much easier to debug
 and understand. Quite a few optimizations are applied in order to
 speed up and compress the generated code.
 .
 Another distinctive feature is its flexible interface: instead of
 assuming a fixed program template, re2c lets the programmer write
 most of the interface code and adapt the generated lexer to any
 particular environment.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure the build is reproducible
export LC_ALL=C.UTF-8
export LANGUAGE=C.UTF-8

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-docs

override_dh_installexamples:
	dh_installexamples --exclude=__run_all.sh

override_dh_auto_test:
	# testsuite requires Python multiprocessing.Pool()
	/bin/sh -c 'python3 -c "from multiprocessing import Pool; pool = Pool(); pool.close()" \
		&& dh_auto_test \
		|| echo "Support for multiprocessing.Pool() missing, skipping testsuite"'

execute_after_dh_auto_test:
	# ensure failed tests are visible in the buildlog
	/bin/sh -c 'cat test-suite.log || true'

execute_after_dh_link:
	# Deal with some duplicate files in examples
	jdupes -rl debian/re2c/usr/share/doc/re2c

## re2c 4.0.2

=== debian/changelog ===
re2c (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 24 Dec 2024 16:06:31 +0000

re2c (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1.
  * Clean: remove __pycache__ leftovers. (Closes: #1047901)
  * Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes).
  * Patches: remove, merged upstream.
  * Clean: use globbing for cleaning the manpages.
  * Control: add newly supported languages to the description.
  * Lintian: also override very-long-line-length-in-source-file for
    include/unicode_categories.re.
  * Tests: symlink syntax files and all re2* executables.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 25 Nov 2024 15:05:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: re2c
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeroen Ploemen <jcfp@debian.org>
+Maintainer: Jeroen Ploemen <jcfp@debian.org>
 Build-Depends:
  bison,
  debhelper-compat (= 13),
@@ -10,7 +9,7 @@
  python3 <!nocheck>,
  python3-docutils,
  python3-pygments
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://re2c.org
 Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
 Vcs-Browser: https://salsa.debian.org/jcfp/re2c
@@ -20,7 +19,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: lexer generator for C, C++, Go and Rust
+Description: lexer generator for C, C++, Go, Java, Python, Rust, and others
  re2c's main goal is generating fast lexers: at least as fast as
  their reasonably optimized hand-coded counterparts. Instead of using
  a traditional table-driven approach, re2c encodes the generated
@@ -34,3 +33,6 @@
  assuming a fixed program template, re2c lets the programmer write
  most of the interface code and adapt the generated lexer to any
  particular environment.
+ .
+ Supported languages in this release are C, C++, D, Go, Haskell,
+ Java, JS, OCaml, Python, Rust, V and Zig.

## re2c 4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(re2c VERSION 4.1 HOMEPAGE_URL "https://re2c.org/")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(Re2cAutotoolsHelpers)
include(Re2cBootstrapLexer)
include(Re2cBootstrapParser)
include(Re2cBootstrapSyntax)
include(Re2cBuildType)
include(Re2cGenDocs)
include(Re2cCompilerFlags)

ac_subst(PACKAGE_VERSION "${PROJECT_VERSION}")

# check whether re2c is the root project
if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
    set(RE2C_IS_ROOT_PROJECT TRUE)
else()
    set(RE2C_IS_ROOT_PROJECT FALSE)
endif()

option(RE2C_REBUILD_LEXERS "Regenerate lexers" OFF)
if(RE2C_REBUILD_LEXERS AND NOT RE2C_FOR_BUILD)
    message(FATAL_ERROR "option RE2C_FOR_BUILD is required for RE2C_REBUILD_LEXERS")
endif()

option(RE2C_REBUILD_PARSERS "Regenerate parsers with Bison" OFF)
if(RE2C_REBUILD_PARSERS AND NOT RE2C_FOR_BUILD)
    find_package(BISON REQUIRED)
endif()

option(RE2C_REBUILD_SYNTAX "Regenerate default syntax files" OFF)
option(RE2C_REBUILD_DOCS "Regenerate manpage" OFF)
option(RE2C_BUILD_LIBS "Build libraries" OFF)

option(RE2C_BUILD_RE2D "Build re2d executable (an alias for `re2c --lang d`)" ON)
option(RE2C_BUILD_RE2GO "Build re2go executable (an alias for `re2c --lang go`)" ON)
option(RE2C_BUILD_RE2HS "Build re2hs executable (an alias for `re2c --lang haskell`)" ON)
option(RE2C_BUILD_RE2JAVA "Build re2java executable (an alias for `re2c --lang java`)" ON)
option(RE2C_BUILD_RE2JS "Build re2js executable (an alias for `re2c --lang js`)" ON)
option(RE2C_BUILD_RE2OCAML "Build re2ocaml executable (an alias for `re2c --lang ocaml`)" ON)
option(RE2C_BUILD_RE2PY "Build re2py executable (an alias for `re2c --lang python`)" ON)
option(RE2C_BUILD_RE2RUST "Build re2rust executable (an alias for `re2c --lang rust`)" ON)
option(RE2C_BUILD_RE2V "Build re2v executable (an alias for `re2c --lang v`)" ON)
option(RE2C_BUILD_RE2ZIG "Build re2zig executable (an alias for `re2c --lang zig`)" ON)

option(RE2C_BUILD_BENCHMARKS "Build benchmarks" OFF)
option(RE2C_REGEN_BENCHMARKS "Regenerate C code for benchmarks" OFF)

# test targets are enabled by default only if re2c is the root project
option(RE2C_BUILD_TESTS "Build tests" "${RE2C_IS_ROOT_PROJECT}")

# checks for programs
if(RE2C_REBUILD_DOCS OR RE2C_BUILD_TESTS OR RE2C_BUILD_BENCHMARKS)
    find_package(Python3 3.7 REQUIRED COMPONENTS Interpreter)
endif()

if(RE2C_REBUILD_DOCS)
    execute_process(
        COMMAND "${Python3_EXECUTABLE}" -c "import docutils"
        RESULT_VARIABLE EXIT_CODE
        OUTPUT_QUIET
    )
    if (NOT ${EXIT_CODE} EQUAL 0)
        message(FATAL_ERROR "python package docutils (needed for docs) not found")
    endif()
endif()

# Use C++11 standard. Note that without `set(CMAKE_CXX_EXTENSIONS OFF)` this enables
# -std=gnu++11, not -std=c++11. Extensions are needed to enable POSIX functions on
# Cygwin and NetBSD.
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON) # fail if the C++ compiler does not support this standard
set(CMAKE_POSITION_INDEPENDENT_CODE ON) # make sure object libraries work with shared libraries

# needed for POSIX file API
ac_check_headers("sys/types.h")
ac_check_headers("sys/stat.h")
ac_check_headers("fcntl.h")
ac_check_headers("unistd.h")
# windows POSIX-like API
ac_check_headers("io.h")

# docs (manpages and help)
set(re2c_manpage_source  "${CMAKE_CURRENT_BINARY_DIR}/doc/manpage.rst")
set(re2c_help_source     "${CMAKE_CURRENT_BINARY_DIR}/doc/help.rst")
set(re2c_manpage_c       "${CMAKE_CURRENT_BINARY_DIR}/doc/re2c.1")
set(re2c_manpage_d       "${CMAKE_CURRENT_BINARY_DIR}/doc/re2d.1")
set(re2c_manpage_go      "${CMAKE_CURRENT_BINARY_DIR}/doc/re2go.1")
set(re2c_manpage_haskell "${CMAKE_CURRENT_BINARY_DIR}/doc/re2hs.1")
set(re2c_manpage_java    "${CMAKE_CURRENT_BINARY_DIR}/doc/re2java.1")
set(re2c_manpage_js      "${CMAKE_CURRENT_BINARY_DIR}/doc/re2js.1")
set(re2c_manpage_ocaml   "${CMAKE_CURRENT_BINARY_DIR}/doc/re2ocaml.1")
set(re2c_manpage_python  "${CMAKE_CURRENT_BINARY_DIR}/doc/re2py.1")
set(re2c_manpage_rust    "${CMAKE_CURRENT_BINARY_DIR}/doc/re2rust.1")
set(re2c_manpage_v       "${CMAKE_CURRENT_BINARY_DIR}/doc/re2v.1")
set(re2c_manpage_zig     "${CMAKE_CURRENT_BINARY_DIR}/doc/re2zig.1")
set(re2c_help_c          "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2c.cc")
set(re2c_help_d          "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2d.cc")
set(re2c_help_go         "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2go.cc")
set(re2c_help_haskell    "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2hs.cc")
set(re2c_help_java       "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2java.cc")
set(re2c_help_js         "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2js.cc")
set(re2c_help_ocaml      "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2ocaml.cc")
set(re2c_help_python     "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2py.cc")
set(re2c_help_rust       "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2rust.cc")
set(re2c_help_v          "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2v.cc")
set(re2c_help_zig        "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2zig.cc")
set(re2c_rst2man         "${CMAKE_CURRENT_SOURCE_DIR}/build/rst2man.py")
set(re2c_rst2txt         "${CMAKE_CURRENT_SOURCE_DIR}/build/rst2txt.py")
set(re2c_splitman        "${CMAKE_CURRENT_SOURCE_DIR}/build/split_man.py")
set(re2c_docs
    "${re2c_manpage_c}"
    "$<$<BOOL:${RE2C_BUILD_RE2D}>:${re2c_manpage_d}>"
    "$<$<BOOL:${RE2C_BUILD_RE2GO}>:${re2c_manpage_go}>"
    "$<$<BOOL:${RE2C_BUILD_RE2HS}>:${re2c_manpage_haskell}>"
    "$<$<BOOL:${RE2C_BUILD_RE2JAVA}>:${re2c_manpage_java}>"
    "$<$<BOOL:${RE2C_BUILD_RE2JS}>:${re2c_manpage_js}>"
    "$<$<BOOL:${RE2C_BUILD_RE2OCAML}>:${re2c_manpage_ocaml}>"
    "$<$<BOOL:${RE2C_BUILD_RE2PY}>:${re2c_manpage_python}>"
    "$<$<BOOL:${RE2C_BUILD_RE2RUST}>:${re2c_manpage_rust}>"
    "$<$<BOOL:${RE2C_BUILD_RE2V}>:${re2c_manpage_v}>"
    "$<$<BOOL:${RE2C_BUILD_RE2ZIG}>:${re2c_manpage_zig}>"
)

# syntax files
set(re2c_stx2cpp "${CMAKE_CURRENT_SOURCE_DIR}/build/stx2cpp.py")

set(top_srcdir "${CMAKE_CURRENT_SOURCE_DIR}")
set(top_builddir "${CMAKE_CURRENT_BINARY_DIR}")
set(PYTHON "${Python3_EXECUTABLE}")

configure_file(doc/manpage.rst.in doc/manpage.rst @ONLY)
configure_file(doc/help.rst.in doc/help.rst @ONLY)

if(RE2C_BUILD_TESTS)
    configure_file(run_tests.py.in run_tests.py @ONLY)
    set(RE2C_RUN_TESTS "${CMAKE_CURRENT_BINARY_DIR}/run_tests.py")
    if(CMAKE_HOST_UNIX)
        execute_process(COMMAND chmod +x "${RE2C_RUN_TESTS}")
    endif()
endif()

ac_config_headers("config.h")

# Makefile.am
set(RE2C_STDLIB_DIR "${CMAKE_INSTALL_PREFIX}/share/re2c/stdlib")
add_compile_definitions(
  "RE2C_STDLIB_DIR=\"${RE2C_STDLIB_DIR}\""
  $<$<CONFIG:Debug>:RE2C_DEBUG>
)
include_directories(. "${CMAKE_CURRENT_BINARY_DIR}")

# Build autogenerated sources into an object library to ensure that they are
# generated once at the beginning of build (as with Automake BUILT_SOURCES).
# WARNING: custom target that depends on autogenerated sources won't do here
# as its dependencies get built multiple times, which ruins parallel builds.
add_library(re2c_objects_autogen OBJECT
    "${CMAKE_CURRENT_BINARY_DIR}/src/options/parse_opts.cc"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/lexer.cc"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/lexer.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/parser.cc"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/parser.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/conf_lexer.cc"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/conf_parser.cc"
    "${CMAKE_CURRENT_BINARY_DIR}/src/parse/conf_parser.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_c.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_d.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_go.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_haskell.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_java.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_js.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_ocaml.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_python.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_rust.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_v.h"
    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_zig.h"
    "${re2c_docs}"
)
add_library(re2c_objects_autogen_ver_to_vernum OBJECT
    "${CMAKE_CURRENT_BINARY_DIR}/src/msg/ver_to_vernum.cc"
)

set(re2c_sources
    src/codegen/helpers.cc
    src/codegen/output.cc
    src/codegen/pass1_analyze.cc
    src/codegen/pass2_generate.cc
    src/codegen/pass3_fixup.cc
    src/codegen/pass4_render.cc
    src/options/opt.cc
    src/options/symtab.cc
    src/nfa/re_to_nfa.cc
    src/adfa/adfa.cc
    src/debug/dump_adfa.cc
    src/debug/dump_cfg.cc
    src/debug/dump_dfa.cc
    src/debug/dump_dfa_tree.cc
    src/debug/dump_interf.cc
    src/debug/dump_nfa.cc
    src/cfg/cfg.cc
    src/cfg/compact.cc
    src/cfg/dce.cc
    src/cfg/freeze.cc
    src/cfg/interfere.cc
    src/cfg/liveanal.cc
    src/cfg/normalize.cc
    src/cfg/optimize.cc
    src/cfg/rename.cc
    src/cfg/varalloc.cc
    src/dfa/closure.cc
    src/dfa/dead_rules.cc
    src/dfa/determinization.cc
    src/dfa/fallback_tags.cc
    src/dfa/fillpoints.cc
    src/dfa/find_state.cc
    src/dfa/minimization.cc
    src/dfa/tagver_table.cc
    src/dfa/tcmd.cc
    src/encoding/ebcdic.cc
    src/encoding/enc.cc
    src/encoding/range_suffix.cc
    src/encoding/utf8.cc
    src/encoding/utf16.cc
    src/msg/msg.cc
    src/msg/warn.cc
    src/regexp/ast_to_re.cc
    src/regexp/default_tags.cc
    src/regexp/fixed_tags.cc
    src/regexp/nullable.cc
    src/regexp/regexp.cc
    src/regexp/split_charset.cc
    src/skeleton/control_flow.cc
    src/skeleton/generate_code.cc
    src/skeleton/generate_data.cc
    src/skeleton/maxpath.cc
    src/skeleton/skeleton.cc
    src/parse/ast.cc
    src/parse/input.cc
    src/util/file_utils.cc
    src/util/string_utils.cc
    src/util/range.cc
    src/main.cc
    $<TARGET_OBJECTS:re2c_objects_autogen>
    $<TARGET_OBJECTS:re2c_objects_autogen_ver_to_vernum>
)

re2c_bootstrap_lexer("src/msg/ver_to_vernum.re" "src/msg/ver_to_vernum.cc")
re2c_bootstrap_lexer("src/options/parse_opts.re" "src/options/parse_opts.cc")
re2c_bootstrap_lexer("src/parse/lexer.re" "src/parse/lexer.cc" "src/parse/lexer.h")
re2c_bootstrap_parser("src/parse/parser.ypp" "src/parse/parser.cc" "src/parse/parser.h")
re2c_bootstrap_lexer("src/parse/conf_lexer.re" "src/parse/conf_lexer.cc")
re2c_bootstrap_parser("src/parse/conf_parser.ypp" "src/parse/conf_parser.cc" "src/parse/conf_parser.h")

re2c_bootstrap_syntax("include/syntax/c" "src/default_syntax_c.h")
re2c_bootstrap_syntax("include/syntax/d" "src/default_syntax_d.h")
re2c_bootstrap_syntax("include/syntax/go" "src/default_syntax_go.h")
re2c_bootstrap_syntax("include/syntax/haskell" "src/default_syntax_haskell.h")
re2c_bootstrap_syntax("include/syntax/java" "src/default_syntax_java.h")
re2c_bootstrap_syntax("include/syntax/js" "src/default_syntax_js.h")
re2c_bootstrap_syntax("include/syntax/ocaml" "src/default_syntax_ocaml.h")
re2c_bootstrap_syntax("include/syntax/python" "src/default_syntax_python.h")
re2c_bootstrap_syntax("include/syntax/rust" "src/default_syntax_rust.h")
re2c_bootstrap_syntax("include/syntax/v" "src/default_syntax_v.h")
re2c_bootstrap_syntax("include/syntax/zig" "src/default_syntax_zig.h")

# docs
file(GLOB_RECURSE re2c_docs_sources CONFIGURE_DEPENDS
    "examples/*"
    "doc/manual/*"
    "${re2c_manpage_source}"
)
re2c_gen_help("${re2c_help_source}" "${re2c_help_c}")
re2c_gen_manpage("${re2c_manpage_source}" "${re2c_manpage_c}")
add_custom_target(docs DEPENDS "${re2c_docs}")

# re2c
add_executable(re2c ${re2c_sources} "${re2c_help_c}")

# re2d
if (RE2C_BUILD_RE2D)
    re2c_gen_help("${re2c_help_source}" "${re2c_help_d}")
    re2c_gen_manpage("${re2c_manpage_source}" "${re2c_manpage_d}")
    add_executable(re2d ${re2c_sources} "${re2c_help_d}")
    target_compile_definitions(re2d PUBLIC
        "RE2C_LANG=Lang::D"
        "RE2C_PROG=\"re2d\""
    )
endif()

# re2go

=== debian/changelog ===
re2c (4.1-1) unstable; urgency=medium

  * New upstream version 4.1
  * Bump Standards-Version to 4.7.1 (from 4.7.0; no further changes).
  * Rules: add --enable-parsers and --enable-syntax configure options.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 20 Feb 2025 13:28:03 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3 <!nocheck>,
  python3-docutils,
  python3-pygments
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://re2c.org
 Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
 Vcs-Browser: https://salsa.debian.org/jcfp/re2c

## re2c 4.2

=== debian/changelog ===
re2c (4.2-1) experimental; urgency=medium

  * New upstream version 4.2
  * Control: mention newly supported Swift in the long description.
  * Bump Standards-Version to 4.7.2 (from 4.7.1; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 09 May 2025 07:49:15 +0000

## re2c 4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.15)
-project(re2c VERSION 4.1 HOMEPAGE_URL "https://re2c.org/")
+project(re2c VERSION 4.3 HOMEPAGE_URL "https://re2c.org/")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -42,6 +42,7 @@
 option(RE2C_BUILD_RE2OCAML "Build re2ocaml executable (an alias for `re2c --lang ocaml`)" ON)
 option(RE2C_BUILD_RE2PY "Build re2py executable (an alias for `re2c --lang python`)" ON)
 option(RE2C_BUILD_RE2RUST "Build re2rust executable (an alias for `re2c --lang rust`)" ON)
+option(RE2C_BUILD_RE2SWIFT "Build re2swift executable (an alias for `re2c --lang swift`)" ON)
 option(RE2C_BUILD_RE2V "Build re2v executable (an alias for `re2c --lang v`)" ON)
 option(RE2C_BUILD_RE2ZIG "Build re2zig executable (an alias for `re2c --lang zig`)" ON)
 
@@ -72,7 +73,11 @@
 # Cygwin and NetBSD.
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON) # fail if the C++ compiler does not support this standard
-set(CMAKE_POSITION_INDEPENDENT_CODE ON) # make sure object libraries work with shared libraries
+
+# make sure object libraries work with shared libraries
+include(CheckPIESupported)
+check_pie_supported()
+set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 # needed for POSIX file API
 ac_check_headers("sys/types.h")
@@ -94,6 +99,7 @@
 set(re2c_manpage_ocaml   "${CMAKE_CURRENT_BINARY_DIR}/doc/re2ocaml.1")
 set(re2c_manpage_python  "${CMAKE_CURRENT_BINARY_DIR}/doc/re2py.1")
 set(re2c_manpage_rust    "${CMAKE_CURRENT_BINARY_DIR}/doc/re2rust.1")
+set(re2c_manpage_swift   "${CMAKE_CURRENT_BINARY_DIR}/doc/re2swift.1")
 set(re2c_manpage_v       "${CMAKE_CURRENT_BINARY_DIR}/doc/re2v.1")
 set(re2c_manpage_zig     "${CMAKE_CURRENT_BINARY_DIR}/doc/re2zig.1")
 set(re2c_help_c          "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2c.cc")
@@ -105,6 +111,7 @@
 set(re2c_help_ocaml      "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2ocaml.cc")
 set(re2c_help_python     "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2py.cc")
 set(re2c_help_rust       "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2rust.cc")
+set(re2c_help_swift      "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2swift.cc")
 set(re2c_help_v          "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2v.cc")
 set(re2c_help_zig        "${CMAKE_CURRENT_BINARY_DIR}/src/msg/help_re2zig.cc")
 set(re2c_rst2man         "${CMAKE_CURRENT_SOURCE_DIR}/build/rst2man.py")
@@ -120,6 +127,7 @@
     "$<$<BOOL:${RE2C_BUILD_RE2OCAML}>:${re2c_manpage_ocaml}>"
     "$<$<BOOL:${RE2C_BUILD_RE2PY}>:${re2c_manpage_python}>"
     "$<$<BOOL:${RE2C_BUILD_RE2RUST}>:${re2c_manpage_rust}>"
+    "$<$<BOOL:${RE2C_BUILD_RE2SWIFT}>:${re2c_manpage_swift}>"
     "$<$<BOOL:${RE2C_BUILD_RE2V}>:${re2c_manpage_v}>"
     "$<$<BOOL:${RE2C_BUILD_RE2ZIG}>:${re2c_manpage_zig}>"
 )
@@ -174,6 +182,7 @@
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_ocaml.h"
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_python.h"
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_rust.h"
+    "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_swift.h"
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_v.h"
     "${CMAKE_CURRENT_BINARY_DIR}/src/default_syntax_zig.h"
     "${re2c_docs}"
@@ -262,6 +271,7 @@
 re2c_bootstrap_syntax("include/syntax/ocaml" "src/default_syntax_ocaml.h")
 re2c_bootstrap_syntax("include/syntax/python" "src/default_syntax_python.h")
 re2c_bootstrap_syntax("include/syntax/rust" "src/default_syntax_rust.h")
+re2c_bootstrap_syntax("include/syntax/swift" "src/default_syntax_swift.h")
 re2c_bootstrap_syntax("include/syntax/v" "src/default_syntax_v.h")
 re2c_bootstrap_syntax("include/syntax/zig" "src/default_syntax_zig.h")
 
@@ -272,21 +282,3 @@
     "${re2c_manpage_source}"
 )
 re2c_gen_help("${re2c_help_source}" "${re2c_help_c}")
-re2c_gen_manpage("${re2c_manpage_source}" "${re2c_manpage_c}")
-add_custom_target(docs DEPENDS "${re2c_docs}")
-
-# re2c
-add_executable(re2c ${re2c_sources} "${re2c_help_c}")
-
-# re2d
-if (RE2C_BUILD_RE2D)
-    re2c_gen_help("${re2c_help_source}" "${re2c_help_d}")
-    re2c_gen_manpage("${re2c_manpage_source}" "${re2c_manpage_d}")
-    add_executable(re2d ${re2c_sources} "${re2c_help_d}")
-    target_compile_definitions(re2d PUBLIC
-        "RE2C_LANG=Lang::D"
-        "RE2C_PROG=\"re2d\""
-    )
-endif()
-
-# re2go

=== build/re2c-as-subproject/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(other)
add_subdirectory(../../../re2c re2c-build)

=== debian/changelog ===
re2c (4.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 10 Aug 2025 03:51:53 +0000

re2c (4.3-1) experimental; urgency=medium

  * New upstream version 4.3
  * Tests: make output of cp command non-verbose

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 05 Aug 2025 09:30:21 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3 <!nocheck>,
  python3-docutils,
  python3-pygments
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://re2c.org
 Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
 Vcs-Browser: https://salsa.debian.org/jcfp/re2c
@@ -35,4 +35,4 @@
  particular environment.
  .
  Supported languages in this release are C, C++, D, Go, Haskell,
- Java, JS, OCaml, Python, Rust, V and Zig.
+ Java, JS, OCaml, Python, Rust, Swift, V and Zig.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-docs
+	dh_auto_configure -- --enable-docs --enable-parsers --enable-syntax
 
 override_dh_installexamples:
 	dh_installexamples --exclude=__run_all.sh

=== debian/watch ===
version=4
opts=searchmode=plain \
 https://api.github.com/repos/skvadrik/re2c/releases?per_page=100 \
 https://github.com/skvadrik/re2c/releases/download/v?[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## re2c 4.3.1

=== debian/changelog ===
re2c (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
  * Watch: convert to v5.
  * Control: remove Rules-Requires-Root.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 09 Dec 2025 10:33:17 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Homepage: https://re2c.org
 Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
 Vcs-Browser: https://salsa.debian.org/jcfp/re2c
-Rules-Requires-Root: no
 
 Package: re2c
 Architecture: any

## re2c 4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.15)
-project(re2c VERSION 4.3 HOMEPAGE_URL "https://re2c.org/")
+project(re2c VERSION 4.4 HOMEPAGE_URL "https://re2c.org/")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

=== debian/changelog ===
re2c (4.4-1) unstable; urgency=medium

  * New upstream version 4.4
  * Bump Standards-Version to 4.7.3 (from 4.7.2; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 30 Dec 2025 18:01:30 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3 <!nocheck>,
  python3-docutils,
  python3-pygments
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://re2c.org
 Vcs-Git: https://salsa.debian.org/jcfp/re2c.git
 Vcs-Browser: https://salsa.debian.org/jcfp/re2c

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/skvadrik/re2c/releases?per_page=100
Matching-Pattern: https://github.com/skvadrik/re2c/releases/download/v?[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Searchmode: plain
